# Table$list\_files

### Table$<mark style="color:purple;">list\_files</mark>(*max\_results=NULL, file\_id\_variable=NULL*) → list([File](/api/client-libraries/redivis-r/reference/file.md))

Returns a list of [File instances](/api/client-libraries/redivis-r/reference/file.md) associated with a file index table. Only relevant for tables that contain at least one variable with a file id.

### **Parameters:**

**`max_results` :&#x20;*****int, default NULL***\
If specified, will only download up to max\_results files

**`file_id_variable` :&#x20;*****str, default NULL***\
The variable in the table containing file ids. Only required if the table contains more than one fileId variable, otherwise the file\_id\_variable will automatically be determined

### **Returns:**&#x20;

**list(**[**File**](/api/client-libraries/redivis-r/reference/file.md)**)**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdlist_files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
